Skip to content

Update campaign run.​

PATCH
/backend/v1/campaign-runs/{campaignRunId}

Modifies the campaign run's status, name and start time.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Path Parameters

campaignRunId*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"name": "string",
  
"preserve": true,
  
"remediationSettings": {
  
  
"autorun": false
  
},
  
"startAt": "string",
  
"status": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"message": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI

Updated at: